2014-08-09 03:43 AM - Thiago Silva

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19370

Description

On QGIS 2.0, if you use the GDAL Merge algorithm from the Processing toolbox, the same layer ordering shown on the layer list is shown

in the algorithm's layer selection window, and that will be the final layer order for the stacked file. Rearranging the layers in the list will also

change ordering in the selection window. On 2.2 and 2.4, the layer selection window shows the layers in a random order, and this bogus

ordering stays the same regardless of changes in ordering on the layer list. Please see attached PDF for a visual example.

The result is that, when using the merge algorithm to stack layers (i.e. producing multiband rasters), the band order in the resulting

stacked file is random. It becomes worse if you are merging multiple scenes (as I was for a time series of Landsat scenes), since each

stacked result comes out with a different band order.

History

#1 - 2014-08-10 11:27 PM - Paolo Cavallini

- Category set to GDAL Tools

#2 - 2014-10-04 10:19 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master

- Priority changed from Normal to Severe/Regression

- Category changed from GDAL Tools to 94

#3 - 2014-10-04 02:13 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

fixed in

#e0fc515af0fb9692eb596c43edf23d41b2ec513f

the processing dialog to allow selection of (raster) layers now shows the same order as the qgis layer panel.

#4 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
